Record sets and records
List record set releases
cURL
curl --request GET \
--url https://api.atlan.com/ontology/v1/record-sets/{record_set_id}/releases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/ontology/v1/record-sets/{record_set_id}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/record-sets/{record_set_id}/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"channel": "<string>",
"created_at": "<string>",
"id": "<string>",
"is_current": true,
"manifest_digest": "<string>",
"ontology_id": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release_id": "<string>",
"version_label": "<string>"
},
"predecessor_release_id": "<string>",
"record_count": 1,
"record_set_id": "<string>",
"release": "<string>",
"release_status": "pending",
"shard_count": 1,
"version_id": "<string>"
}
],
"limit": 1,
"offset": 1,
"total": 1
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
x >= 0⌘I
cURL
curl --request GET \
--url https://api.atlan.com/ontology/v1/record-sets/{record_set_id}/releases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/ontology/v1/record-sets/{record_set_id}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/record-sets/{record_set_id}/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"channel": "<string>",
"created_at": "<string>",
"id": "<string>",
"is_current": true,
"manifest_digest": "<string>",
"ontology_id": "<string>",
"ontology_release": {
"manifest_digest": "<string>",
"ontology_id": "<string>",
"release_id": "<string>",
"version_label": "<string>"
},
"predecessor_release_id": "<string>",
"record_count": 1,
"record_set_id": "<string>",
"release": "<string>",
"release_status": "pending",
"shard_count": 1,
"version_id": "<string>"
}
],
"limit": 1,
"offset": 1,
"total": 1
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}